---@meta

---@class UWG_PartyPlayer_C : URGListEntryBase
---@field UberGraphFrame FPointerToUberGraphFrame
---@field PlayerName UCommonTextBlock
---@field PingText UCommonTextBlock
---@field KickButton UWG_KickButton_C
---@field Player ARGPlayerState
---@field MaxPlayerNameLength int32
---@field PreviewName FString
local UWG_PartyPlayer_C = {}

function UWG_PartyPlayer_C:UpdatePing() end
---@param OrignialName FString
---@param TruncatedName FString
function UWG_PartyPlayer_C:TruncatePlayerName(OrignialName, TruncatedName) end
function UWG_PartyPlayer_C:UpdatePlayerName() end
---@param IsDesignTime boolean
function UWG_PartyPlayer_C:PreConstruct(IsDesignTime) end
function UWG_PartyPlayer_C:Construct() end
function UWG_PartyPlayer_C:Update() end
---@param Button UCommonButtonBase
function UWG_PartyPlayer_C:KickPlayer(Button) end
function UWG_PartyPlayer_C:SetupKickButton() end
---@param ListItemObject UObject
function UWG_PartyPlayer_C:OnListItemObjectSet(ListItemObject) end
---@param EntryPoint int32
function UWG_PartyPlayer_C:ExecuteUbergraph_WG_PartyPlayer(EntryPoint) end


